library (IsingSampler)

##### First illustration

# Graph input

w <- .5

graph <- matrix (c (0, w, w,
                    w, 0, w,
                    w, w, 0), 3, 3, TRUE)

thresholds <- c (-.3, .3, .3)

# Probability calculation

IsingLikelihood (graph, thresholds, 1, c (-1L, 1L))

#Energy calculation for a given configuration

a <- 1
b <- 1
c <- 1

- (-.3*a + .3*b + .3*c) - (a*b*.5 + a*c*.5 + b*c*.5)




###### Attitude Strength Illustration

# Stability
w <- .1

graph <- matrix (c (0, w, w,
                    w, 0, w,
                    w, w, 0), 3, 3, TRUE)

thresholds <- c (.3, .3, .3)

IsingLikelihood (graph, thresholds, 1, c (-1L, 1L))     
     
w <- 1

graph <- matrix (c (0, w, w,
                    w, 0, w,
                    w, w, 0), 3, 3, TRUE)

thresholds <- c (.3, .3, .3)

IsingLikelihood (graph, thresholds, 1, c (-1L, 1L))

# Resistance

w <- .1

graph <- matrix (c (0, w, w,
                    w, 0, w,
                    w, w, 0), 3, 3, TRUE)

thresholds <- c (-.3, .3, .3)

IsingLikelihood (graph, thresholds, 1, c (-1L, 1L))     

w <- 1

graph <- matrix (c (0, w, w,
                    w, 0, w,
                    w, w, 0), 3, 3, TRUE)

thresholds <- c (-.3, .3, .3)

IsingLikelihood (graph, thresholds, 1, c (-1L, 1L))
